<?php
/**
 * Add required and recommended plugins.
 *
 * @package BlogZ
 */

add_action( 'tgmpa_register', 'blogz_register_required_plugins' );
add_filter( 'ocdi/register_plugins', 'blogz_register_ocdi_plugins' );

function blogz_register_required_plugins() {
	tgmpa( blogz_required_plugins(), [
		'id'          => 'blogz',
		'has_notices' => true,
	] );
}

function blogz_register_ocdi_plugins( $plugins ) {
	return array_merge( $plugins, blogz_required_plugins() );
}

function blogz_required_plugins() {
	return [
		[
			'name' =>  'Jetpack',
			'slug' => 'jetpack',
		],
		[
			'name' =>  'Kirki',
			'slug' => 'kirki',
		],
		[
			'name' =>  'Slim SEO',
			'slug' => 'slim-seo',
		],
		[
			'name' =>  'Falcon',
			'slug' => 'falcon',
		],
		[
			'name' =>  'One Click Demo Import',
			'slug' => 'one-click-demo-import',
		],
	];
}